Last Comment Bug 655594 - Remove body margin on image documents
: Remove body margin on image documents
Status: RESOLVED FIXED
DUPEME, [bugday-20110513] [fixed by b...
: uiwanted
Product: Core
Classification: Components
Component: Layout: Images (show other bugs)
: Trunk
: All All
: -- enhancement with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 136002 376997
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 08:32 PDT by Oz
Modified: 2011-12-23 12:50 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Oz 2011-05-08 08:32:37 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110508 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110508 Firefox/6.0a1

Fit the HD images to width or height. Without any white space, like in safari and chrome.

Reproducible: Always
Comment 1 (mostly gone) XtC4UaLL [:xtc4uall] 2011-05-08 09:00:00 PDT
Ermm, what/where? What's the Issue?

Please try to read/understand https://developer.mozilla.org/en/Bug_writing_guidelines
Comment 2 Tyler Downer [:Tyler] 2011-05-08 09:27:11 PDT
INCO without more information.
Comment 3 Oz 2011-05-08 09:37:04 PDT
(In reply to comment #1)
> Ermm, what/where? What's the Issue?
> 
> Please try to read/understand
> https://developer.mozilla.org/en/Bug_writing_guidelines


I know that is not an issue, I hit the submit button too fast without to set it as request or enhancement.
Comment 4 Tyler Downer [:Tyler] 2011-05-08 09:47:20 PDT
but you still haven't explained what you want improved
Comment 5 Oz 2011-05-08 11:16:55 PDT
(In reply to comment #4)
> but you still haven't explained what you want improved


When you view HD images there is a white space on margins.

ex. 
http://i53.tinypic.com/102l8w0.jpg
http://i51.tinypic.com/dng3eo.jpg

Fit the image to width or height depending on image size, like in Safari and Chrome.
Comment 6 Justin Dolske [:Dolske] 2011-05-08 14:27:42 PDT
Oh, I see. It's not as aspect ratio thing, you're talking about the 8px of CSS margin around the image. (This presumably comes from the browser's default for |body| in html.css)

In other words, the image should extend to the edge of the window.
Comment 7 Oz 2011-05-09 11:44:05 PDT
(In reply to comment #6)
> Oh, I see. It's not as aspect ratio thing, you're talking about the 8px of
> CSS margin around the image. (This presumably comes from the browser's
> default for |body| in html.css)
> 
> In other words, the image should extend to the edge of the window.


That's right, so can be done?
Comment 8 :aceman 2011-05-13 02:49:46 PDT
Confirming as enhancement and it probably belongs to some of the Layout components.
Comment 9 Boris Zbarsky [:bz] 2011-05-13 08:48:52 PDT
This is a duplicate.  Please find the original (which is, iirc, WONTFIX) and mark this duplicate.
Comment 10 Oz 2011-05-13 10:31:32 PDT
WONTFIX?

why now? it is plain stupid to have that white space on margins.
Comment 11 Boris Zbarsky [:bz] 2011-05-13 10:52:34 PDT
The bug, if it's WONTFIX, has an explanation of why.
Comment 12 :aceman 2011-05-13 11:28:42 PDT
Seems to be this one.

*** This bug has been marked as a duplicate of bug 136002 ***
Comment 13 Boris Zbarsky [:bz] 2011-05-13 12:02:34 PDT
No, that's not it...
Comment 14 Boris Zbarsky [:bz] 2011-05-13 12:05:03 PDT
Though probably dependent.
Comment 15 Oz 2011-05-13 13:14:59 PDT
This is not a bug!  It's a request/enhancement

When you view HD images there is a white space on margins.

ex. 
http://i53.tinypic.com/102l8w0.jpg
http://i51.tinypic.com/dng3eo.jpg

Fit the image to width or height depending on image size, like in Safari and Chrome.
Comment 16 Justin Dolske [:Dolske] 2011-05-13 19:54:05 PDT
(In reply to comment #7)

> That's right, so can be done?

It's a legitimate request, but I'd like to see the rationale / previous thinking in the aforementioned existing bug (if it can be found).
Comment 17 Oz 2011-05-14 02:22:11 PDT
(In reply to comment #16)
> (In reply to comment #7)
> 
> > That's right, so can be done?
> 
> It's a legitimate request, but I'd like to see the rationale / previous
> thinking in the aforementioned existing bug (if it can be found).


https://bugzilla.mozilla.org/show_bug.cgi?id=136002

this one?
Comment 18 Oz 2011-05-24 17:08:04 PDT
(In reply to comment #15)
> This is not a bug!  It's a request/enhancement
> 
> When you view HD images there is a white space on margins.
> 
> ex. 
> http://i53.tinypic.com/102l8w0.jpg
> http://i51.tinypic.com/dng3eo.jpg
> 
> Fit the image to width or height depending on image size, like in Safari and
> Chrome.



any news on this?
Comment 19 Oz 2011-06-23 09:54:13 PDT
(In reply to comment #16)
> (In reply to comment #7)
> 
> > That's right, so can be done?
> 
> It's a legitimate request, but I'd like to see the rationale / previous
> thinking in the aforementioned existing bug (if it can be found).

I don't get it what issue can be if you fit the HD image to the browser width/height depending on the image resolution.

Note You need to log in before you can comment on or make changes to this bug.